nvfwupd(1)

NAME
nvfwupd - Out-of-Band Tool to update NVIDIA DGX, HGX, MGX platforms.

SYNOPSIS
nvfwupd [global options] [command]

DESCRIPTION
nvfwupd This tool performs out-of-band firmware update of the entire DGX, HGX, MGX platforms, and NVSwitch Trays. It can also update an individual component of these platforms. Additionally, it supports in-band operations for flint-based firmware queries and updates on the Host OS.

GLOBAL OPTIONS

-t/--target < sub-options >
    Specify target Platform's BMC IP address or NVSwitch Tray's IP address and login credentials.

    SUB-OPTIONS
        <key=value> pairs of input parameters that describe the target machine.

        ip
        IP address/FQDN of target BMC or NVSwitch Tray.

        user
            Username to login to the target BMC or NVSwitch Tray.

        password
            Password to login to the target BMC or NVSwitch Tray.

        port
            TCP port with port-forwarding to use to connect with BMC service (optional)

        servertype
            Users can provide the servertype value from the [DGX | DGXRUBIN | HGX | MGX | GH200 | HGXB100 | HGXB300 | HGXRUBIN | GB200 | GB300 | VRNVL72 | MGX-NVL | GB200Switch | GB300Switch | VRNVL72Switch | PowerShelf] options based on the type of the target system type. This is optional and is recommended only if you experience unknown platform errors.

-o/--os_target < sub-options >
    Specify target Host OS IP address and login credentials for in-band operations.

    SUB-OPTIONS
        <key=value> pairs of input parameters that describe the target Host OS.

        ip
        IP address/FQDN of target Host OS.

        user
            Username to login to the target Host OS.

        password
            Password to login to the target Host OS.

        port
            SSH port number (optional).

        servertype
            Server type (optional).

-c/--config < config YAML path >
    A YAML config file can be used to define the behaviour of few commands. This option takes the path of such YAML config file (optional).

-v/--verbose < logfile path >
    Increase verbosity. Provide chosen path for logfile (optional). Default path is current working directory.

COMMAND

show_version <command options>
    Show AP components that can be updated out-of-band along with current running firmware versions. If -p option is specified, then show firmware version of these AP components from the firmware package, and if the given AP component is up-to-date or needs updating. Global option -t/--target required.

COMMAND OPTIONS

    -p/--package
        PLDM firmware package or firmware tar file. (optional)

    -j/--json
        Display package comparison in JSON format. (optional)

    -s/--staged
        Display staged firmware versions. (optional)

    -i/--inventory
        Include Software Inventory in the output (e.g. IST test vector versions). Queries the Redfish UpdateService SoftwareInventory collection and displays version information in the same table as firmware inventory. (optional)

update_fw <command options>
    Perform firmware update of the entire server out-of-band using either PLDM package or the tarball. If -s option is specified, firmware update only the AP component(s) mentioned in the JSON file. Global option -t/--target required.

COMMAND OPTIONS

    -p/--package
        PLDM firmware package or firmware tar file (mandatory).

    -b/--background
        Perform firmware update asynchronously in the background.

    -s/--special
        Special Update json file.

    -o/--oem_parameters
        Oem Parameters json file.

    -t/--timeout
        Redfish API request timeout value in seconds.

    -y/--yes
        Show update progress in table format.

    -d/--details
        Bypass firmware update confirmation prompt.

    -j/--json
        Show output in JSON. Must be paired with the -b background option, and always bypasses update confirmation prompt.

    -u/--staged_update
        Run a SPI staged update for components that support it. (optional)

    -a/--staged_activate_update
        Run a SPI staged and activate update for components that support it. (optional)

    -k/--skip_pre_flight_checks
        Skip pre-flight checks before firmware update. This bypasses the UpdateService status verification. Use with caution. Can also be set in the YAML config file using SkipPreFlightChecks parameter. (optional)

activate_fw <command options>
    Perform firmware activation using IPMI commands . Global option -t/--target required.

COMMAND OPTIONS

    -c/--cmd
        Activation command to run. Supported values ['PWR_STATUS', 'PWR_OFF', 'PWR_ON', 'PWR_CYCLE', 'RESET_COLD', 'RESET_WARM', 'NVUE_PWR_CYCLE', 'RF_AUX_PWR_CYCLE', 'RF_PWR_ON', 'RF_PWR_OFF', 'RF_PWR_CYCLE', 'RF_PWR_STATUS', 'RF_PWRSHELF_RESET', 'RF_PWRSHELF_RESET_FORCE'] (mandatory).

background_copy <command options>
    Initiate background copy of the component identified in JSON file given with -s. Global option -t/--target required.

COMMAND OPTIONS

    -s/--special
        JSON file used to select the background copy target component. (mandatory)

    -i/--interactive
        Interactive mode - poll until Active and Inactive firmware slots match

    -t/--timeout
        Maximum wait time in seconds for interactive mode polling (default 600)

    -p/--poll_interval
        Poll interval in seconds for interactive mode (default 20)

force_update <option_value> <command options>
    Command to check/enable/disable the force update flag on target system. Used for downgrades. Global option -t/--target required.

OPTION VALUE

    enable
        Enable force update on target.

    disable
        disable force update on target.

    status
        Show status of force update on target.

COMMAND OPTIONS

    -j/--json
        show output in JSON

show_update_progress <command options>
    Show current status of an update task running on target. Global option -t/--target required.

COMMAND OPTIONS

    -i/--id
        Task ID of the update task to monitor.

    -j/--json
        show output in JSON

make_upd_targets <command options>
    Create all update parameter JSON files for given target. Global option -t/--target required.

COMMAND OPTIONS

    -o/--outdir
        Path for output directory to store the JSON files (optional). Default loaction is current working directory. If given directory path does not exist, the tool will try to create it.

perform_factory_reset
    Perform factory reset on target system. This is not supported on the NVSwitch trays. Global option -t/--target required.

show_pkg_content <command options>
    Show PLDM metadata for all firmware devices in a fwpkg file. -p/--package is mandatory. Global options not required.

COMMAND OPTIONS

    -p/--package
        PLDM firmware package file. Not supported with tar files.

unpack <command options>
    Unpack all firmware images from a PLDM package and show associated metadata for all firmware devices. -p/--package is mandatory. Global options not required.

COMMAND OPTIONS

    -p/--package
        PLDM firmware package file. Not supported with tar files.

    -o/--outdir
        Path for output directory to store the unpacked firmware files (optional). Default loaction of unpacked files is current working directory. If given directory path does not exist, the tool will try to create it.

flint_update <command options>
    Execute flint queries and firmware updates on the Host OS. This command connects to the target system's Host OS via SSH and performs flint-based firmware operations. Global option -o/--os_target required.

COMMAND OPTIONS

    -i/--image
        Image file(s) for firmware flashing and version comparison. Can specify multiple image files.

    -d/--device_type
        Device type for firmware flashing and version query (e.g., BlueField3, ConnectX).

    -j/--json
        Show output in JSON format for automation and parsing.

    -v/--version
        Query firmware version only without performing updates.

    -t/--timeout
        Query timeout in seconds for OS commands. Flashing operation timeout is 20x the query timeout. (default 60 for queries, 1200 for flash operations) This can be set higher for slow networks.

AUTHOR
NVIDIA Corporation

COPYRIGHT
Copyright 2023-2026 NVIDIA Corporation.